Main Page Widgets Namespaces Book

# Gtk::Menu_Helpers::Element Class Reference

Inheritance diagram for Gtk::Menu_Helpers::Element:

[legend]
List of all members.

## Public Types

typedef sigc::slot<void> | CallSlot

## Public Member Functions

| Element (MenuItem& child)
| Element ()
const Glib::RefPtr<MenuItem>& | get_child () const
| ~Element ()

## Protected Member Functions

void | set_accel_key (const AccelKey& accel_key)
void | set_child (MenuItem* pChild)

## Protected Attributes

Glib::RefPtr<MenuItem> | child_

## Member Typedef Documentation

typedef sigc::slot<void> Gtk::Menu_Helpers::Element::CallSlot

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::Element::Element | ( |  | ) |

Gtk::Menu_Helpers::Element::Element | ( | MenuItem& | child | ) |

Gtk::Menu_Helpers::Element::~Element | ( |  | ) |

## Member Function Documentation

const Glib::RefPtr<MenuItem>& Gtk::Menu_Helpers::Element::get_child | ( |  | ) | const

void Gtk::Menu_Helpers::Element::set_accel_key | ( | const AccelKey& | accel_key | ) | `[protected]`

void Gtk::Menu_Helpers::Element::set_child | ( | MenuItem* | pChild | ) | `[protected]`

## Member Data Documentation

Glib::RefPtr<MenuItem> Gtk::Menu_Helpers::Element::child_ `[protected]`

The documentation for this class was generated from the following file:

- menu_elems.h